
Synnefo - Bug # 1235

Status: Closed Priority: Medium

Author: Miltiadis Vasilakis Category: Pithos

Created: 09/22/2011 Assignee:

Updated: 02/08/2013 Due date:

Subject: Ghost objects created by object COPY/MOVE

Description

Object COPY or MOVE can be used to create an object from an object that doesn't exist in the current version,

that is from an object that has been MOVED or DELETED.

Then, while the new object is listed in container GET, when accessed using object HEAD or GET, it returns a 503 error.

Associated revisions

Revision 97d45f69 - 09/23/2011 10:37 am - Antony Chazapis

Check version when copying. Remove version option from move when using the store utility. Fix version listing.

Fixes #1235

Revision 97d45f69 - 09/23/2011 10:37 am - Antony Chazapis 

Check version when copying. Remove version option from move when using the store utility. Fix version listing.

Fixes #1235

History

#1 - 09/23/2011 10:37 am - Antony Chazapis

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"97d45f69a063d41cb688a2680bc9557770efecf7".

#2 - 02/08/2013 07:01 pm - Vangelis Koukis

- Project changed from Pithos to Synnefo

#3 - 02/08/2013 07:03 pm - Vangelis Koukis

- Category set to Pithos
